import request from '@/utils/request'

// 查询校考院校记录列表
export function listMallTestSchoolRecord(query) {
  return request({
    url: '/mall/mallTestSchoolRecord/list',
    method: 'get',
    params: query
  })
}

// 查询校考院校记录详细
export function getMallTestSchoolRecord(testInfoId) {
  return request({
    url: '/mall/mallTestSchoolRecord/' + testInfoId,
    method: 'get'
  })
}

// 新增校考院校记录
export function addMallTestSchoolRecord(data) {
  return request({
    url: '/mall/mallTestSchoolRecord',
    method: 'post',
    data: data
  })
}

// 修改校考院校记录
export function updateMallTestSchoolRecord(data) {
  return request({
    url: '/mall/mallTestSchoolRecord',
    method: 'put',
    data: data
  })
}

// 删除校考院校记录
export function delMallTestSchoolRecord(testInfoId) {
  return request({
    url: '/mall/mallTestSchoolRecord/' + testInfoId,
    method: 'delete'
  })
}
